
/**
 * @imports
 */
import _fromCamel from '@web-native-js/commons/str/fromCamel.js';
import _toCamel from '@web-native-js/commons/str/toCamel.js';
import ENV from '../ENV.js';

/**
 * Returns the vendor-specific css property if supported. NULL if not.
 *
 * @param string 	prop
 *
 * @return string|NULL
 */
export default function(prop) {
	var camelCasedProp = _toCamel(prop, true);
	if (ENV.params.vendorPrefix.api + camelCasedProp in ENV.window.document.body.style) {
		return ENV.params.vendorPrefix.css + _fromCamel(prop, '-');
	}
};
